<div class="container-fluid">
  <div class="card">
    <div class="card-header bg-info">
      Departments
    </div>
    <div class="card-body">
      <p-table id="exportTable"
               class="text-left"
               [columns]="columnName"
               [value]="(data$)"
               [resizableColumns]="true"
               [autoLayout]="true">

        <ng-template pTemplate="caption">
          List of User Groups
          :&nbsp;{{ totalRecords }}
        </ng-template>
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns" [pSortableColumn]="col.value">
              {{col.name}}
              <p-sortIcon [field]="col.value"></p-sortIcon>
            </th>
          </tr>
        </ng-template>

        <ng-template pTemplate="body" let-list let-i="rowIndex">
          <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
            <td>{{ i + 1}}</td>
            <td>{{ list.createdDate | date:'MMM d, y, h:mm:ss a' }}</td>
            <td>{{ list.name }}</td>
            <td>{{ list.code}}</td>
            <td>
              <p-inputSwitch
                [name]="list.status"
                (onChange)="handleChange($event)"
                [(ngModel)]="list.status">
              </p-inputSwitch>
            </td>
            <td>
              <a (click)="updateUserGroup(list.userGroupId)">
                <svg class="bi bi-pencil-square" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                  <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                  <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                </svg>
              </a>
            </td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>
</div>
